Bulk update products and attributes
const url = 'https://prod.store-management.glovo.alb.app.onlineservice.io/api/v3/item/modify/stores/example/bulk';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"products":[{"id":"burger1","name":"Burger Large","price":10,"image_url":"https://server.com/image","extra_image_urls":["https://i.imgur.com/Tsj3NOK.png","https://i.imgur.com/Qj5DlEH.png","https://i.imgur.com/Qj5MlEH.png"],"restrictions":{"is_alcoholic":true},"available":true}],"attributes":[{"id":"side1","name":"French fries","price_impact":1.5,"available":true}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://prod.store-management.glovo.alb.app.onlineservice.io/api/v3/item/modify/stores/example/bulk \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "products": [ { "id": "burger1", "name": "Burger Large", "price": 10, "image_url": "https://server.com/image", "extra_image_urls": [ "https://i.imgur.com/Tsj3NOK.png", "https://i.imgur.com/Qj5DlEH.png", "https://i.imgur.com/Qj5MlEH.png" ], "restrictions": { "is_alcoholic": true }, "available": true } ], "attributes": [ { "id": "side1", "name": "French fries", "price_impact": 1.5, "available": true } ] }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Request Bodyrequired
Section titled “Request Bodyrequired”object
Products to be updated.
Products to be updated.
object
Unique identifier of the product within a store
Example
burger1Product name
Example
Burger LargeProduct price
Example
10Url of the main product image. Must use HTTPS protocol.
Example
https://server.com/imageThe array of URLs for additional images of the product. These URLs must use the HTTPS protocol. These images will be displayed on the product detail page in the same order as in the array, always following the main product image. Up to 9 images are supported (if more images are sent, only the first 9 will be processed).
Example
[ "https://i.imgur.com/Tsj3NOK.png", "https://i.imgur.com/Qj5DlEH.png", "https://i.imgur.com/Qj5MlEH.png"]This is a description of an optional field in the Glovo system that indicates whether a product has an alcohol restriction.
object
The indicator that shows whether the product is an alcoholic beverage. It will trigger a user flow according to the restrictions in the case of stores in Poland and Romania.
Specifies if the product is available to be purchased
Example
trueAttributes to be updated.
Attributes to be updated.
object
Unique identifier of the attribute within a store
Example
side1Attribute name
Example
French friesAttribute price
Example
1.5Specifies if the product is available to be purchased
Example
trueResponses
Section titled “Responses”Bulk update success
object
Unique identifier of the asynchronous operation
Current status of the bulk update
Timestamp of the latest menu status update
Details for the current menu status
Details for the current menu status
object
Example
{ "transaction_id": "a946a2c7-f4e7-46ac-ae63-8a5497cb0ad9", "status": "SUCCESS", "last_updated_at": "2020-03-24T10:03:49.614Z", "details": [ "Products updated: [11111, 22222]", "Products not updated: [12345, 56789]", "Attributes updated: [33333, 44444]", "Attributes not updated: [67890, 45678]" ]}Invalid payload or parameters
object
Unique identifier of the asynchronous operation
Example
a946a2c7-f4e7-46ac-ae63-8a5497cb0ad9Current status of the bulk update
Example
PARTIALLY_PROCESSEDTimestamp of the latest menu status update
Example
2020-03-24T10:03:49.614ZDetails for the current menu status
Details for the current menu status
object
Example
[ "Products updated: [11111, 22222]", "Products not updated: [12345, 56789]", "Attributes updated: [33333, 44444]", "Attributes not updated: [67890, 45678]"]Example
[ "Products updated: [11111, 22222]", "Products not updated: [12345, 56789]", "Attributes updated: [33333, 44444]", "Attributes not updated: [67890, 45678]"]Unauthorized
object
Unique identifier of the asynchronous operation
Example
a946a2c7-f4e7-46ac-ae63-8a5497cb0ad9Current status of the bulk update
Example
PARTIALLY_PROCESSEDTimestamp of the latest menu status update
Example
2020-03-24T10:03:49.614ZDetails for the current menu status
Details for the current menu status
object
Example
[ "Products updated: [11111, 22222]", "Products not updated: [12345, 56789]", "Attributes updated: [33333, 44444]", "Attributes not updated: [67890, 45678]"]Example
[ "Products updated: [11111, 22222]", "Products not updated: [12345, 56789]", "Attributes updated: [33333, 44444]", "Attributes not updated: [67890, 45678]"]Internal server error
object
Unique identifier of the asynchronous operation
Example
a946a2c7-f4e7-46ac-ae63-8a5497cb0ad9Current status of the bulk update
Example
PARTIALLY_PROCESSEDTimestamp of the latest menu status update
Example
2020-03-24T10:03:49.614ZDetails for the current menu status
Details for the current menu status
object
Example
[ "Products updated: [11111, 22222]", "Products not updated: [12345, 56789]", "Attributes updated: [33333, 44444]", "Attributes not updated: [67890, 45678]"]Example
[ "Products updated: [11111, 22222]", "Products not updated: [12345, 56789]", "Attributes updated: [33333, 44444]", "Attributes not updated: [67890, 45678]"]